//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 08:51:11 PM CET 
//


package org.tdwg.abcd3.zoology;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.NormalizedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * Elements describing the event and site of collecting or observing a unit.
 * 
 * <p>Java class for Gathering complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Gathering"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Date" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}DateTime" minOccurs="0"/&gt;
 *         &lt;element name="GatheringAgents" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="GatheringAgent" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}String255" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *                 &lt;attribute name="sequence" type="{http://www.w3.org/2001/XMLSchema}int" /&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="Permits" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="Permit" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}Permit" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="LocalityText" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}StringL" minOccurs="0"/&gt;
 *         &lt;element name="CountryName" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}StringL" minOccurs="0"/&gt;
 *         &lt;element name="NamedAreas" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="NamedArea" maxOccurs="unbounded"&gt;
 *                     &lt;complexType&gt;
 *                       &lt;complexContent&gt;
 *                         &lt;extension base="{http://www.tdwg.org/schemas/abcd/3.0_zoology}NamedArea"&gt;
 *                           &lt;attribute name="sequence" type="{http://www.w3.org/2001/XMLSchema}int" /&gt;
 *                         &lt;/extension&gt;
 *                       &lt;/complexContent&gt;
 *                     &lt;/complexType&gt;
 *                   &lt;/element&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="CoordinateSets" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="CoordinateSet" maxOccurs="unbounded" minOccurs="0"&gt;
 *                     &lt;complexType&gt;
 *                       &lt;complexContent&gt;
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                           &lt;sequence&gt;
 *                             &lt;element name="LongitudeDecimal" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}decimalLongitudeDataType" minOccurs="0"/&gt;
 *                             &lt;element name="LatitudeDecimal" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}decimalLatitudeDataType" minOccurs="0"/&gt;
 *                             &lt;element name="ErrorDistanceInMeters" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/&gt;
 *                           &lt;/sequence&gt;
 *                           &lt;attribute name="original" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
 *                           &lt;attribute name="begin" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
 *                           &lt;attribute name="end" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
 *                         &lt;/restriction&gt;
 *                       &lt;/complexContent&gt;
 *                     &lt;/complexType&gt;
 *                   &lt;/element&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="Altitude" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="LowerValue" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}StringL"/&gt;
 *                   &lt;element name="UpperValue" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}StringL" minOccurs="0"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="Notes" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}StringL" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Gathering", propOrder = {
    "date",
    "gatheringAgents",
    "permits",
    "localityText",
    "countryName",
    "namedAreas",
    "coordinateSets",
    "altitude",
    "notes"
})
public class Gathering {

    @XmlElement(name = "Date")
    protected DateTime date;
    @XmlElement(name = "GatheringAgents")
    protected Gathering.GatheringAgents gatheringAgents;
    @XmlElement(name = "Permits")
    protected Gathering.Permits permits;
    @XmlElement(name = "LocalityText")
    protected StringL localityText;
    @XmlElement(name = "CountryName")
    protected StringL countryName;
    @XmlElement(name = "NamedAreas")
    protected Gathering.NamedAreas namedAreas;
    @XmlElement(name = "CoordinateSets")
    protected Gathering.CoordinateSets coordinateSets;
    @XmlElement(name = "Altitude")
    protected Gathering.Altitude altitude;
    @XmlElement(name = "Notes")
    protected StringL notes;

    /**
     * Gets the value of the date property.
     * 
     * @return
     *     possible object is
     *     {@link DateTime }
     *     
     */
    public DateTime getDate() {
        return date;
    }

    /**
     * Sets the value of the date property.
     * 
     * @param value
     *     allowed object is
     *     {@link DateTime }
     *     
     */
    public void setDate(DateTime value) {
        this.date = value;
    }

    /**
     * Gets the value of the gatheringAgents property.
     * 
     * @return
     *     possible object is
     *     {@link Gathering.GatheringAgents }
     *     
     */
    public Gathering.GatheringAgents getGatheringAgents() {
        return gatheringAgents;
    }

    /**
     * Sets the value of the gatheringAgents property.
     * 
     * @param value
     *     allowed object is
     *     {@link Gathering.GatheringAgents }
     *     
     */
    public void setGatheringAgents(Gathering.GatheringAgents value) {
        this.gatheringAgents = value;
    }

    /**
     * Gets the value of the permits property.
     * 
     * @return
     *     possible object is
     *     {@link Gathering.Permits }
     *     
     */
    public Gathering.Permits getPermits() {
        return permits;
    }

    /**
     * Sets the value of the permits property.
     * 
     * @param value
     *     allowed object is
     *     {@link Gathering.Permits }
     *     
     */
    public void setPermits(Gathering.Permits value) {
        this.permits = value;
    }

    /**
     * Gets the value of the localityText property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getLocalityText() {
        return localityText;
    }

    /**
     * Sets the value of the localityText property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setLocalityText(StringL value) {
        this.localityText = value;
    }

    /**
     * Gets the value of the countryName property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getCountryName() {
        return countryName;
    }

    /**
     * Sets the value of the countryName property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setCountryName(StringL value) {
        this.countryName = value;
    }

    /**
     * Gets the value of the namedAreas property.
     * 
     * @return
     *     possible object is
     *     {@link Gathering.NamedAreas }
     *     
     */
    public Gathering.NamedAreas getNamedAreas() {
        return namedAreas;
    }

    /**
     * Sets the value of the namedAreas property.
     * 
     * @param value
     *     allowed object is
     *     {@link Gathering.NamedAreas }
     *     
     */
    public void setNamedAreas(Gathering.NamedAreas value) {
        this.namedAreas = value;
    }

    /**
     * Gets the value of the coordinateSets property.
     * 
     * @return
     *     possible object is
     *     {@link Gathering.CoordinateSets }
     *     
     */
    public Gathering.CoordinateSets getCoordinateSets() {
        return coordinateSets;
    }

    /**
     * Sets the value of the coordinateSets property.
     * 
     * @param value
     *     allowed object is
     *     {@link Gathering.CoordinateSets }
     *     
     */
    public void setCoordinateSets(Gathering.CoordinateSets value) {
        this.coordinateSets = value;
    }

    /**
     * Gets the value of the altitude property.
     * 
     * @return
     *     possible object is
     *     {@link Gathering.Altitude }
     *     
     */
    public Gathering.Altitude getAltitude() {
        return altitude;
    }

    /**
     * Sets the value of the altitude property.
     * 
     * @param value
     *     allowed object is
     *     {@link Gathering.Altitude }
     *     
     */
    public void setAltitude(Gathering.Altitude value) {
        this.altitude = value;
    }

    /**
     * Gets the value of the notes property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getNotes() {
        return notes;
    }

    /**
     * Sets the value of the notes property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setNotes(StringL value) {
        this.notes = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="LowerValue" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}StringL"/&gt;
     *         &lt;element name="UpperValue" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}StringL" minOccurs="0"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "lowerValue",
        "upperValue"
    })
    public static class Altitude {

        @XmlElement(name = "LowerValue", required = true)
        protected StringL lowerValue;
        @XmlElement(name = "UpperValue")
        protected StringL upperValue;

        /**
         * Gets the value of the lowerValue property.
         * 
         * @return
         *     possible object is
         *     {@link StringL }
         *     
         */
        public StringL getLowerValue() {
            return lowerValue;
        }

        /**
         * Sets the value of the lowerValue property.
         * 
         * @param value
         *     allowed object is
         *     {@link StringL }
         *     
         */
        public void setLowerValue(StringL value) {
            this.lowerValue = value;
        }

        /**
         * Gets the value of the upperValue property.
         * 
         * @return
         *     possible object is
         *     {@link StringL }
         *     
         */
        public StringL getUpperValue() {
            return upperValue;
        }

        /**
         * Sets the value of the upperValue property.
         * 
         * @param value
         *     allowed object is
         *     {@link StringL }
         *     
         */
        public void setUpperValue(StringL value) {
            this.upperValue = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="CoordinateSet" maxOccurs="unbounded" minOccurs="0"&gt;
     *           &lt;complexType&gt;
     *             &lt;complexContent&gt;
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *                 &lt;sequence&gt;
     *                   &lt;element name="LongitudeDecimal" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}decimalLongitudeDataType" minOccurs="0"/&gt;
     *                   &lt;element name="LatitudeDecimal" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}decimalLatitudeDataType" minOccurs="0"/&gt;
     *                   &lt;element name="ErrorDistanceInMeters" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/&gt;
     *                 &lt;/sequence&gt;
     *                 &lt;attribute name="original" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
     *                 &lt;attribute name="begin" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
     *                 &lt;attribute name="end" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
     *               &lt;/restriction&gt;
     *             &lt;/complexContent&gt;
     *           &lt;/complexType&gt;
     *         &lt;/element&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "coordinateSet"
    })
    public static class CoordinateSets {

        @XmlElement(name = "CoordinateSet")
        protected List<Gathering.CoordinateSets.CoordinateSet> coordinateSet;

        /**
         * Gets the value of the coordinateSet property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the coordinateSet property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getCoordinateSet().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Gathering.CoordinateSets.CoordinateSet }
         * 
         * 
         */
        public List<Gathering.CoordinateSets.CoordinateSet> getCoordinateSet() {
            if (coordinateSet == null) {
                coordinateSet = new ArrayList<Gathering.CoordinateSets.CoordinateSet>();
            }
            return this.coordinateSet;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType&gt;
         *   &lt;complexContent&gt;
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
         *       &lt;sequence&gt;
         *         &lt;element name="LongitudeDecimal" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}decimalLongitudeDataType" minOccurs="0"/&gt;
         *         &lt;element name="LatitudeDecimal" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}decimalLatitudeDataType" minOccurs="0"/&gt;
         *         &lt;element name="ErrorDistanceInMeters" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/&gt;
         *       &lt;/sequence&gt;
         *       &lt;attribute name="original" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
         *       &lt;attribute name="begin" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
         *       &lt;attribute name="end" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
         *     &lt;/restriction&gt;
         *   &lt;/complexContent&gt;
         * &lt;/complexType&gt;
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "longitudeDecimal",
            "latitudeDecimal",
            "errorDistanceInMeters"
        })
        public static class CoordinateSet {

            @XmlElement(name = "LongitudeDecimal")
            protected Double longitudeDecimal;
            @XmlElement(name = "LatitudeDecimal")
            protected Double latitudeDecimal;
            @XmlElement(name = "ErrorDistanceInMeters")
            protected BigDecimal errorDistanceInMeters;
            @XmlAttribute(name = "original")
            protected Boolean original;
            @XmlAttribute(name = "begin")
            protected Boolean begin;
            @XmlAttribute(name = "end")
            protected Boolean end;

            /**
             * Gets the value of the longitudeDecimal property.
             * 
             * @return
             *     possible object is
             *     {@link Double }
             *     
             */
            public Double getLongitudeDecimal() {
                return longitudeDecimal;
            }

            /**
             * Sets the value of the longitudeDecimal property.
             * 
             * @param value
             *     allowed object is
             *     {@link Double }
             *     
             */
            public void setLongitudeDecimal(Double value) {
                this.longitudeDecimal = value;
            }

            /**
             * Gets the value of the latitudeDecimal property.
             * 
             * @return
             *     possible object is
             *     {@link Double }
             *     
             */
            public Double getLatitudeDecimal() {
                return latitudeDecimal;
            }

            /**
             * Sets the value of the latitudeDecimal property.
             * 
             * @param value
             *     allowed object is
             *     {@link Double }
             *     
             */
            public void setLatitudeDecimal(Double value) {
                this.latitudeDecimal = value;
            }

            /**
             * Gets the value of the errorDistanceInMeters property.
             * 
             * @return
             *     possible object is
             *     {@link BigDecimal }
             *     
             */
            public BigDecimal getErrorDistanceInMeters() {
                return errorDistanceInMeters;
            }

            /**
             * Sets the value of the errorDistanceInMeters property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigDecimal }
             *     
             */
            public void setErrorDistanceInMeters(BigDecimal value) {
                this.errorDistanceInMeters = value;
            }

            /**
             * Gets the value of the original property.
             * 
             * @return
             *     possible object is
             *     {@link Boolean }
             *     
             */
            public Boolean isOriginal() {
                return original;
            }

            /**
             * Sets the value of the original property.
             * 
             * @param value
             *     allowed object is
             *     {@link Boolean }
             *     
             */
            public void setOriginal(Boolean value) {
                this.original = value;
            }

            /**
             * Gets the value of the begin property.
             * 
             * @return
             *     possible object is
             *     {@link Boolean }
             *     
             */
            public Boolean isBegin() {
                return begin;
            }

            /**
             * Sets the value of the begin property.
             * 
             * @param value
             *     allowed object is
             *     {@link Boolean }
             *     
             */
            public void setBegin(Boolean value) {
                this.begin = value;
            }

            /**
             * Gets the value of the end property.
             * 
             * @return
             *     possible object is
             *     {@link Boolean }
             *     
             */
            public Boolean isEnd() {
                return end;
            }

            /**
             * Sets the value of the end property.
             * 
             * @param value
             *     allowed object is
             *     {@link Boolean }
             *     
             */
            public void setEnd(Boolean value) {
                this.end = value;
            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="GatheringAgent" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}String255" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *       &lt;attribute name="sequence" type="{http://www.w3.org/2001/XMLSchema}int" /&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "gatheringAgent"
    })
    public static class GatheringAgents {

        @XmlElement(name = "GatheringAgent", required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        @XmlSchemaType(name = "normalizedString")
        protected List<String> gatheringAgent;
        @XmlAttribute(name = "sequence")
        protected Integer sequence;

        /**
         * Gets the value of the gatheringAgent property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the gatheringAgent property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getGatheringAgent().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link String }
         * 
         * 
         */
        public List<String> getGatheringAgent() {
            if (gatheringAgent == null) {
                gatheringAgent = new ArrayList<String>();
            }
            return this.gatheringAgent;
        }

        /**
         * Gets the value of the sequence property.
         * 
         * @return
         *     possible object is
         *     {@link Integer }
         *     
         */
        public Integer getSequence() {
            return sequence;
        }

        /**
         * Sets the value of the sequence property.
         * 
         * @param value
         *     allowed object is
         *     {@link Integer }
         *     
         */
        public void setSequence(Integer value) {
            this.sequence = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="NamedArea" maxOccurs="unbounded"&gt;
     *           &lt;complexType&gt;
     *             &lt;complexContent&gt;
     *               &lt;extension base="{http://www.tdwg.org/schemas/abcd/3.0_zoology}NamedArea"&gt;
     *                 &lt;attribute name="sequence" type="{http://www.w3.org/2001/XMLSchema}int" /&gt;
     *               &lt;/extension&gt;
     *             &lt;/complexContent&gt;
     *           &lt;/complexType&gt;
     *         &lt;/element&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "namedArea"
    })
    public static class NamedAreas {

        @XmlElement(name = "NamedArea", required = true)
        protected List<Gathering.NamedAreas.NamedArea> namedArea;

        /**
         * Gets the value of the namedArea property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the namedArea property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getNamedArea().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Gathering.NamedAreas.NamedArea }
         * 
         * 
         */
        public List<Gathering.NamedAreas.NamedArea> getNamedArea() {
            if (namedArea == null) {
                namedArea = new ArrayList<Gathering.NamedAreas.NamedArea>();
            }
            return this.namedArea;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType&gt;
         *   &lt;complexContent&gt;
         *     &lt;extension base="{http://www.tdwg.org/schemas/abcd/3.0_zoology}NamedArea"&gt;
         *       &lt;attribute name="sequence" type="{http://www.w3.org/2001/XMLSchema}int" /&gt;
         *     &lt;/extension&gt;
         *   &lt;/complexContent&gt;
         * &lt;/complexType&gt;
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "")
        public static class NamedArea
            extends org.tdwg.abcd3.zoology.NamedArea
        {

            @XmlAttribute(name = "sequence")
            protected Integer sequence;

            /**
             * Gets the value of the sequence property.
             * 
             * @return
             *     possible object is
             *     {@link Integer }
             *     
             */
            public Integer getSequence() {
                return sequence;
            }

            /**
             * Sets the value of the sequence property.
             * 
             * @param value
             *     allowed object is
             *     {@link Integer }
             *     
             */
            public void setSequence(Integer value) {
                this.sequence = value;
            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="Permit" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}Permit" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "permit"
    })
    public static class Permits {

        @XmlElement(name = "Permit", required = true)
        protected List<Permit> permit;

        /**
         * Gets the value of the permit property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the permit property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getPermit().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Permit }
         * 
         * 
         */
        public List<Permit> getPermit() {
            if (permit == null) {
                permit = new ArrayList<Permit>();
            }
            return this.permit;
        }

    }

}
